[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[ISSForum] Unable to update SP from sp4 to sp5



----- Original Message ----- 
From: "Zoran Hrvoic" <zh@xxxxxxxxx>
To: <ISSForum@xxxxxxx>
Sent: Friday, April 01, 2005 11:29 AM
Subject: Unable to update SP from sp4 to sp5


Hello,

I am unable to update SiteProtector2 from SP4 to SP5.
I sent logs to TechSupport, and the guy said that the problem is:

"
This seems to be a problem with the Collation type you are using...
This database is using Croation_CI_AS.
We require that the collation be set to
Latin1_General_CP1_CI_AS.
To alter the collation to Latin1_General_CP1_CI_AS
please do the following:

1. Open Sql Query Analyzer.
2. enter: ALTER DATABASE RealSecureDB COLLATE SQL_Latin1_General_CP1_CI_AS
3. Restart the MSSQLServer service.

Now try the update. Let me know if this works.
"

I am using MSDE, and the Sql Query Analyzer is not available with MSDE, so I
tried the same with osql, but no success:
"
osql -E
1> ALTER DATABASE RealSecureDB COLLATE SQL_Latin1_General_CP1_CI_AS
2> go
Msg 5030, Level 16, State 2, Server ZABASP, Line 1
The database could not be exclusively locked to perform the operation.
Msg 5072, Level 16, State 1, Server ZABASP, Line 1
ALTER DATABASE failed. The default collation of database 'RealSecureDB'
cannot
be set to SQL_Latin1_General_CP1_CI_AS.
"

Note that the SP sp4 works just fine using Croation_CI_AS collation.
I didn't set this collation on purpose, Croatian was set as default locale
in Windows during MSDE installation.

Anybody? Thanks!

Zoran

_______________________________________________
ISSForum mailing list
ISSForum@xxxxxxx

TO UNSUBSCRIBE OR CHANGE YOUR SUBSCRIPTION, go to https://atla-mm1.iss.net/mailman/listinfo/issforum

To contact the ISSForum Moderator, send email to mod-issforum@xxxxxxx

The ISSForum mailing list is hosted and managed by Internet Security Systems, 6303 Barfield Road, Atlanta, Georgia, USA 30328.